| API Docs for SAX and DOM |
| Main Page Classes Files Related Pages Alphabetical List Class List Class Hierarchy Class Members # PSVIElement Class Reference Inheritance diagram for PSVIElement: [legend] List of all members.
## Public Member Functions
Constructors
| PSVIElement (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~PSVIElement ()
PSVIElement methods
XSElementDeclaration * | getElementDeclaration ()
| An item isomorphic to the element declaration used to validate this element.
XSNotationDeclaration * | getNotationDeclaration ()
| [notation]
XSModel * | getSchemaInformation ()
| [schema information]
XSTypeDefinition * | getTypeDefinition ()
| An item isomorphic to the type definition used to validate this element.
XSSimpleTypeDefinition * | getMemberTypeDefinition ()
| If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple type definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
void | reset (const VALIDITY_STATE validityState, const ASSESSMENT_TYPE assessmentType, const XMLCh *const validationContext, bool isSpecified, XSElementDeclaration *const elemDecl, XSTypeDefinition *const typeDef, XSSimpleTypeDefinition *const memberType, XSModel *const schemaInfo, const XMLCh *const defaultValue, const XMLCh *const normalizedValue=0, XMLCh *const canonicalValue=0, XSNotationDeclaration *const notationDecl=0)
| methods needed by implementation
## Constructor & Destructor Documentation
PSVIElement::PSVIElement | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |
  The default constructor. Parameters:
  | manager | The configurable memory manager
PSVIElement::~PSVIElement | ( |  | ) |
## Member Function Documentation
XSElementDeclaration * PSVIElement::getElementDeclaration | ( |  | ) |
An item isomorphic to the element declaration used to validate this element. Returns: an element declaration
XSNotationDeclaration * PSVIElement::getNotationDeclaration | ( |  | ) |
[notation] See also: XML Schema Part 1: Structures [notation] Returns: The notation declaration.
XSModel * PSVIElement::getSchemaInformation | ( |  | ) |
[schema information] See also: XML Schema Part 1: Structures [schema information] Returns: The schema information property if it's the validation root, null otherwise.
XSTypeDefinition* PSVIElement::getTypeDefinition | ( |  | ) | `[virtual]`
An item isomorphic to the type definition used to validate this element. Returns: a type declaration Implements PSVIItem.
XSSimpleTypeDefinition* PSVIElement::getMemberTypeDefinition | ( |  | ) | `[virtual]`
If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple type definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value. Returns: a simple type declaration Implements PSVIItem.
void PSVIElement::reset | ( | const VALIDITY_STATE | validityState,
|  | const ASSESSMENT_TYPE | assessmentType,
|  | const XMLCh *const | validationContext,
|  | bool | isSpecified,
|  | XSElementDeclaration *const | elemDecl,
|  | XSTypeDefinition *const | typeDef,
|  | XSSimpleTypeDefinition *const | memberType,
|  | XSModel *const | schemaInfo,
|  | const XMLCh *const | defaultValue,
|  | const XMLCh *const | normalizedValue = `0`,
|  | XMLCh *const | canonicalValue = `0`,
|  | XSNotationDeclaration *const | notationDecl = `0` |
| ) |  |  |
methods needed by implementation The documentation for this class was generated from the following file: PSVIElement.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.